Main Page Groups Namespaces

# reference_wrapper.h File Reference

## Namespaces
namespace | sigc
## Classes
struct | sigc::reference_wrapper<T_type>
| Reference wrapper. More...
struct | sigc::const_reference_wrapper<T_type>
| Const reference wrapper. More...
struct | sigc::unwrap_reference<T_type>
struct | sigc::unwrap_reference<reference_wrapper<T_type>>
struct | sigc::unwrap_reference<const_reference_wrapper<T_type>>
## Functions
template<class T_type>
reference_wrapper <T_type> | sigc::ref (T_type& v)
| Creates a reference wrapper.
template<class T_type>
const_reference_wrapper <T_type> | sigc::ref (const T_type& v)
| Creates a const reference wrapper.
template<class T_type>
T_type& | sigc::unwrap (const reference_wrapper<T_type>& v)
template<class T_type>
const T_type& | sigc::unwrap (const const_reference_wrapper<T_type>& v)